Data Fields

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - c -

- _eo_class() : efl::eo::inherit< D, E >
- c : _Edje_External_Param_Info
- c_str() : efl::eina::stringshare
- calculate : _Evas_Smart_Class
- callback_description_find() : evas::object_smart
- callback_register() : evas::canvas3d::object
- callback_unregister() : evas::canvas3d::object
- callbacks : _Evas_Smart_Class
- callbacks_descriptions_get() : evas::object_smart
- callbacks_descriptions_set() : evas::object_smart
- camera() : evas::canvas3d::camera
- candidate_panel_geometry_get : _Ecore_IMF_Context_Class
- canvas : _Evas_Event_Mouse_Down , _Evas_Event_Mouse_In , _Evas_Event_Mouse_Out , _Evas_Event_Mouse_Up , _Evas_Event_Mouse_Wheel , _Evas_Position , _Evas_Precision_Position , evas::canvas
- categories : _Efreet_Desktop
- cbegin() : efl::eina::_const_range_template< T, Traits > , efl::eina::_inarray_access_traits , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare
- cellrow_get() : evas::textgrid
- cellrow_set() : evas::textgrid
- cend() : efl::eina::_const_range_template< T, Traits > , efl::eina::_inarray_access_traits , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare
- change() : evas::canvas3d::object
- change_notify() : evas::canvas3d::object
- char_coords_get() : evas::text
- char_pos_get() : evas::text
- checked : _Old_Edje_Part_Collection
- child : _Efl_Model_Children_Event
- child_del() : efl::model::base
- child_get() : efl::vg::container
- children : Efreet_Xml
- children_filter_set() : eio::model
- cibegin() : efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- ciend() : efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- ciphered : _Eet_Entry
- class_constructor : _Eo_Class_Description
- class_destructor : _Eo_Class_Description
- clear() : efl::eina::_inlist_common_base< T, Allocator > , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , evas::grid , evas::table
- clickable_interface() : evas::clickable_interface
- client : _Ecore_Con_Event_Client_Add , _Ecore_Con_Event_Client_Data , _Ecore_Con_Event_Client_Del , _Ecore_Con_Event_Client_Error , _Ecore_Con_Event_Client_Upgrade , _Ecore_Con_Event_Client_Write , _Ecore_Ipc_Event_Client_Add , _Ecore_Ipc_Event_Client_Data , _Ecore_Ipc_Event_Client_Del
- client_canvas_set : _Ecore_IMF_Context_Class
- client_window_set : _Ecore_IMF_Context_Class
- clip_set : _Evas_Smart_Class
- clip_to_id : _Old_Edje_Part
- clip_unset : _Evas_Smart_Class
- clone_allocator_type : efl::eina::_ptr_array_common_base< T, CloneAllocator > , efl::eina::_ptr_list_common_base< T, CloneAllocator >
- close : xdg_surface_listener
- codepoint : _Evas_Textgrid_Cell
- col : Eina_Tile_Grid_Info
- collection_dir : _Old_Edje_File
- color : _Eina_Log_Domain
- color_class_description_get() : edje::object
- color_class_get() : edje::object
- color_class_set() : edje::object
- color_classes : _Old_Edje_File
- color_format : _Evas_GL_Config
- color_get() : evas::canvas3d::material
- color_pick_enable_set() : evas::canvas3d::scene
- color_set : _Evas_Smart_Class , evas::canvas3d::material
- comment : _Efreet_Desktop , Efreet_Icon_Theme
- common : _Old_Edje_Part_Description
- common_interface() : evas::common_interface
- compare : _Eina_Value_Struct_Operations , _Eina_Value_Type
- compiler : _Old_Edje_File
- compose : _Ecore_Event_Key , _Ecore_IMF_Event_Key_Down , _Ecore_IMF_Event_Key_Up , _Evas_Event_Key_Down , _Evas_Event_Key_Up
- compression : _Eet_Entry
- concrete() : efl::eo::concrete
- condition_variable() : efl::eina::condition_variable
- configure : xdg_surface_listener
- const_iterator : efl::eina::_const_range_template< T, Traits > , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::_range_template< T, Traits > , efl::eina::array< T, CloneAllocator, Enable > , efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- const_native_handle_type : efl::eina::_inarray_common_base , efl::eina::_pod_inarray< T >
- const_pointer : efl::eina::_const_range_template< T, Traits > , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::_range_template< T, Traits > , efl::eina::array< T, CloneAllocator, Enable > , efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- const_reference : efl::eina::_const_range_template< T, Traits > , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::_range_template< T, Traits > , efl::eina::array< T, CloneAllocator, Enable > , efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- const_reverse_iterator : efl::eina::_const_range_template< T, Traits > , efl::eina::_nonpod_inarray< T > , efl::eina::_range_template< T, Traits > , efl::eina::array< T, CloneAllocator, Enable > , efl::eina::array< T, CloneAllocator, typename std::enable_if< std::is_base_of<::efl::eo::concrete, T >::value >::type > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator >
- constructor() : ecore::animator , ecore::idle::exiter , ecore::idler , ecore::job , ecore::poller , ecore::timer , evas::canvas3d::node
- container() : efl::vg::container
- content_get : _Edje_External_Type
- context : Efreet_Icon_Theme_Directory
- continuous_flow : _Eeze_Sensor_Obj
- control() : efl::control
- control_panel_hide : _Ecore_IMF_Context_Class
- control_panel_show : _Ecore_IMF_Context_Class
- convert_from : _Eina_Value_Type
- convert_to : _Eina_Value_Type
- coord_screen_x_to_world() : evas::canvas
- coord_screen_y_to_world() : evas::canvas
- coord_world_x_to_screen() : evas::canvas
- coord_world_y_to_screen() : evas::canvas
- copy : _Eina_Value_Struct_Operations , _Eina_Value_Type
- copyright : _Ecore_Getopt
- count : _Edje_Message_Float_Set , _Edje_Message_Int_Set , _Edje_Message_String_Float_Set , _Edje_Message_String_Int_Set , _Edje_Message_String_Set , _Eina_Array , _Eina_List_Accounting , _Eo_Class_Description
- crbegin() : efl::eina::_const_range_template< T, Traits > , efl::eina::_inarray_access_traits , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare
- crend() : efl::eina::_const_range_template< T, Traits > , efl::eina::_inarray_access_traits , efl::eina::_nonpod_inarray< T > , efl::eina::_pod_inarray< T > , efl::eina::inlist< T, Allocator > , efl::eina::ptr_array< T, CloneAllocator > , efl::eina::ptr_list< T, CloneAllocator > , efl::eina::stringshare
- ctime : _Eina_Stat
- ctimensec : _Eina_Stat
- cur : _Evas_Event_Mouse_Move
- current : _Eina_Lines_Iterator , _Eio_Progress
- cursor_location_set : _Ecore_IMF_Context_Class
- cursor_position_set : _Ecore_IMF_Context_Class